/*
	スタックプログラム
	Stack.c
*/

#include <stdio.h>
#include <string.h>
#define MAX_SIZE 10

//スタックの構造体データ
typedef struct {
	int data[MAX_SIZE];
	int sp;
}STACK_DATA;

//初期化関数
void init(STACK_DATA* stack) {
	int i;

	for (i = 0; i < MAX_SIZE; i++) {
		stack->data[i] = 0;
	}
	stack->sp = 0;
}
//プッシュ関数
void push(STACK_DATA* stack, char value) {
	stack->data[stack->sp] = value;
	stack->sp++;
}
//ポップ関数
char pop(STACK_DATA* stack) {
	char ret = '\0';
	stack->sp--;

	ret = stack->data[stack->sp];
	return ret;
}
int main(void)
{
	//スタック構造体の宣言
	STACK_DATA stack;
	int val;
	char command[256];

	//データの初期化
	init(&stack);

	while (1) {
		memset(command, '\0', sizeof(command));
		printf("push:プッシュ操作モード pop: ポップ操作モード\n");
		scanf("%s", command);

		//pushを入力した場合は、プッシュを実行
		//popを入力した場合は、ポップを実行
		if (strcmp(command, "push") == 0) {
			printf("数字一文字を入力してください\n");
			scanf("%d", &val);

			//入力した1文字をプッシュする
			push(&stack, val);
			printf("%dをプッシュしました\n", val);
		} else if (strcmp(command, "pop") == 0) {
			//スタックしたデータを一文字ポップする
			val = pop(&stack);
			printf("%dをポップしました\n", val);
		}
	}
	return 0;
}
