/*
	FilePrint.c
	ファイル表示プログラム
*/
#include <stdio.h>
#include <stdlib.h>
int main(void) {
	FILE *fp;					//ファイルポインタ
	char in;					//コンソールからの入力用
	char ch;					//ファイルからの入力用
	int cr_flg = 0;				//CRを表すフラグ
	int linenum = 1;			//行数
	int row = 0;				//列数
	
	printf("1文字入力: ");
	scanf("%c",&in);			//1文字入力する
	
	//外部入力ファイル「data.txt」を呼び出す
	if ((fp = fopen("data.txt", "rb")) == NULL) {
		exit(1);
	}
	//ファイルから1文字ずつchに入力し、ファイルの最後まで繰り返す
	while( (ch = fgetc(fp)) != EOF) {
		row++;					//列数+1にする
		if (ch == in) {			//入力した文字が一致した場合
			printf("行数 : %d, 列番号 : %d\n",linenum, row);
		}
		if (ch == 0x0D) {		//ファイルにCRがある
			cr_flg = 1;			//CRフラグ=1にする
		} else if (ch == 0x0A && cr_flg == 1) {	//LFでCRフラグ=1の場合
			linenum++;			//行数+1にする
			row = 0;			//列数=0にする
			cr_flg = 0;			//CRフラグを0にする
		}
	}
	fclose(fp);
	
	return 0;
}
