/*
	売上げ金額計算プログラム
	SalesCalculator.c

*/
#define TAX 1.08		//税率(8%)
#include <stdio.h>

//売り上げデータ構造体
typedef struct {
	int no;				//No
	char name[64];		//商品名
	int num;			//数量
	int price;			//単価(税別)
}SALES_DATA;
int main(void) {
	//商品データの宣言
	SALES_DATA sales_data1[4] = {
		{1,"スポーツドリンク",6, 74},
		{2,"炭酸飲料",9, 59},
		{3,"おにぎり",8, 97},
		{4,"サンドイッチ",15,153},
	};
	SALES_DATA sales_data2[4] = {
		{1,"スポーツドリンク",32, 74},
		{2,"炭酸飲料",81, 59},
		{3,"おにぎり",101, 97},
		{4,"サンドイッチ",40,153},
	};
	int i;

	int subtotal1 = 0;	//小計1
	int subtotal2 = 0;	//小計2
	int total1 = 0;		//合計1
	int total2 = 0;		//合計2

	//4件分の売り上げデータの小計を計算する
	for (i = 0; i < 4; i++) {
		subtotal1 = subtotal1 + sales_data1[i].num * sales_data1[i].price;
		subtotal2 = subtotal2 + sales_data2[i].num * sales_data2[i].price;
	}

	//小計に消費税を乗算する
	total1 = subtotal1 * TAX;
	total2 = subtotal2 * TAX;

	//画面に合計金額を表示する
	printf("商品データ1の合計金額 = %d\n", total1);
	printf("商品データ2の合計金額 = %d\n", total2);

	return 0;
}
