/*
	TempConvert.c
	ケルビン温度変換プログラム
*/
#include <stdio.h>
//1時間ごとの摂氏温度[°C]データ
double TemperatureData[25] = { 
	28.0, 27.5, 27.5, 27.0, 27.0, 27.0,
	28.5, 30.0, 31.5, 32.5, 34.0, 35.0,
	35.5, 36.0, 35.5, 34.2, 33.5, 31.8,
	30.9, 29.9, 29.1, 28.2, 27.5, 27.3
};
int main(void) {
	double K[25];	//ケルビン温度配列
	int i;			//ループ変数

	i = 0;
	while (i <= 23) {
		//変数を0クリア
		K[i] = 0.0;

		//ケルビン温度の変換
		K[i] = TemperatureData[i] + 273.15;

		//変換結果の表示
		printf("%d時: %lf\n", i+1, K[i]);

		//ループ変数+1
		i++;
	}

	return 0;
}
