/*
	TravelManagement.c
	旅行管理プログラム
*/
#define YES 1	//該当する
#define NO  0	//該当しない

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/* 修正前　旅行者データの構造体
typedef struct {
	int no;					//番号
	char name[8];			//名前
	unsigned char passport;	//パスポート有り無し
	unsigned char payment;	//旅費
	unsigned short price; 	//請求額
} TravelData;
*/
// 修正後　旅行者データの構造体
typedef struct {
	int no;					//番号
	char name[8];			//名前
	unsigned char passport;	//パスポート有り無し
	unsigned char payment;	//旅費
	unsigned short price;	//請求額
	unsigned char  allegy;	//アレルギー有り無し
} TravelData;

int main(void) {
	int i;
	TravelData temp[2];
	TravelData data[2];

	//データ領域の初期化
	for (i = 0; i <= 1; i++) {
		memset(&temp[i], 0, 20);
		memset(&data[i], 0, 20);
	}

	//1人目のデータ入力
	temp[0].no = 1;
	strcpy(temp[0].name, "山田");
	temp[0].passport = YES;
	temp[0].payment = YES;
	temp[0].price = 0;
	temp[0].allegy = YES;

	//2人目データの入力
	temp[1].no = 2;
	strcpy(temp[1].name, "鈴木");
	temp[1].passport = YES;
	temp[1].payment = NO;
	temp[1].price = 0;
	temp[1].allegy = YES;	
	
	//temp領域から実データ領域へコピー
	memcpy(data, temp, 20 * 2);

	for (i = 0; i <= 1; i++) {
		printf("No: %d: お名前: %s\n", data[i].no, data[i].name);

		//パスポートがあるか
		if (data[i].passport == YES) {
			printf("パスポートあり\n");
		}
		else {
			printf("パスポートなし\n");
		}

		//請求金額の計算
		if (data[i].allegy == YES) {
			printf("アレルギーあり\n");
			data[i].price = 20000;
			data[i].price -= 1000;
		}
		else {
			printf("アレルギーなし\n");
			data[i].price = 20000;

		}

		//渡航費を支払っているか
		if (data[i].payment == YES) {
			printf("渡航費: 支払済み\n");
			data[i].price = 0;
		}
		else {
			printf("渡航費: 未払い\n");
		}		
		
		printf("請求額 = %d円\n", data[i].price);
		printf("\n");
	}

	return 0;
}
