/*
	TempConvert.c
	ケルビン温度変換プログラム
*/
#include <stdio.h>
//1時間ごとの摂氏温度[°C]データ
double TemperatureData[25] = { 
	82.40, 81.50, 81.50, 80.60, 80.60, 80.60,
	83.30, 86.00, 88.70, 90.50, 93.20, 95.00,
	95.90, 96.80, 95.90, 93.56, 92.30, 89.24,
	87.62, 85.82, 84.38, 82.76, 81.50, 81.14
};
int main(void) {
	double K[25];	//ケルビン温度配列
	int i;			//ループ変数

	i = 0;
	while (i <= 23) {
		//変数を0クリア
		K[i] = 0.0;

		//ケルビン温度の変換
		K[i] = TemperatureData[i] + 273.15;

		//変換結果の表示
		printf("%d時: %lf\n", i+1, K[i]);

		//ループ変数+1
		i++;
	}

	return 0;
}
